class GetTotalEnergyConsumptionParam {
  final DateTime? monthDate;
  final String? spaceId;
  final String? communityId;

  const GetTotalEnergyConsumptionParam({
    this.monthDate,
    this.spaceId,
    this.communityId,
  });

  Map<String, dynamic> toJson() {
    return {
      'monthDate':
          '${monthDate?.year}-${monthDate?.month.toString().padLeft(2, '0')}',
      if (spaceId == null || spaceId == null) 'spaceUuid': spaceId,
      'communityUuid': communityId,
      'groupByDevice': false,
    };
  }
}
